> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://documentation.sayari.com/api/api-reference/project-entity/delete-project-entity-match/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://documentation.sayari.com/_mcp/server. # Delete Project Entity Match DELETE https://api.sayari.com/v1/projects/{project_id}/entities/{project_entity_id}/matches/{match_id} Deletes a specific project entity match. Reference: https://documentation.sayari.com/api/api-reference/project-entity/delete-project-entity-match ## Authentication - OAuth2 — send the obtained token as `Authorization: Bearer ` ## Servers - `https://api.sayari.com` (Production, default) - `https://api.internal.sayari.com` (Dev) - `https://api.uk.sayari.com` (Production_UK) ## Request ### Path parameters - `project_id` (string, required) - `project_entity_id` (string, required) - `match_id` (string, required) ## Errors ### 400 Bad Request - `any` ### 401 Unauthorized - `any` ### 404 Not Found - `status` (integer, required) - `message` (list of string, required) - `success` (boolean, required) ### 405 Method Not Allowed - `status` (integer, required) - `message` (list of string, required) - `success` (boolean, required) ### 429 Rate Limit Exceeded - `any` ### 500 Internal Server Error - `any` ## Examples **SDK Code** ```python import requests url = "https://api.sayari.com/v1/projects/project_id/entities/project_entity_id/matches/match_id" headers = {"Authorization": "."} response = requests.delete(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.sayari.com/v1/projects/project_id/entities/project_entity_id/matches/match_id'; const options = {method: 'DELETE', headers: {Authorization: '.'}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.sayari.com/v1/projects/project_id/entities/project_entity_id/matches/match_id" req, _ := http.NewRequest("DELETE", url, nil) req.Header.Add("Authorization", ".") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.sayari.com/v1/projects/project_id/entities/project_entity_id/matches/match_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["Authorization"] = '.' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://api.sayari.com/v1/projects/project_id/entities/project_entity_id/matches/match_id") .header("Authorization", ".") .asString(); ``` ```php request('DELETE', 'https://api.sayari.com/v1/projects/project_id/entities/project_entity_id/matches/match_id', [ 'headers' => [ 'Authorization' => '.', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.sayari.com/v1/projects/project_id/entities/project_entity_id/matches/match_id"); var request = new RestRequest(Method.DELETE); request.AddHeader("Authorization", "."); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "."] let request = NSMutableURLRequest(url: NSURL(string: "https://api.sayari.com/v1/projects/project_id/entities/project_entity_id/matches/match_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```